Translation(s): none

(!) ?/Discussion


Open MPI 1.3 transitions

Reasoning

Open MPI 1.3 was realeased on January 19 by the upstream group, and entered Debian unstable the next day. It is not guaranteed to be binary-compatible with the 1.2.* release series. Some applications (in C) appear to run fine, others (in C++) do fall over due to a change.

Upstream recommends a rebuild. Given the relatively small number of packages using Open MPI in Debian, it would be overkill to prepare parallel releases of 1.2 and 1.3.

Suggested Approach

  1. Identify all affected packages.
  2. Contact the release team and the maintainers of affected packages and request binNMUs.

Affected Packages

List of source packages:

List of maintainers:


CategoryDebianDevelopment